### Function

# GLib List free_1

#### Declaration

    void
    g_list_free_1 (
      GList* list
    )

#### Description

Frees one `GList` element, but does not update links from the next and previous elements in the list, so you should not call this function on an element that is currently part of a list.

It is usually used after g_list_remove_link().

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GList` element.

  The data is owned by the caller of the function.